Subject: RE: [nmrg] web page for uml diagrams
From: "Wijnen, Bert (Bert)" <[email-masked]>
To: Frank Strauss <[email-masked]>, Marcus Brunner <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 27 Jul 2003 00:41:11 +0200
List-Id: Network Management Research Group <nmrg.ibr.cs.tu-bs.de>

Mmm... the complete set is kind of undoable.
So I took just the LDP MIB.
I have a .dia file that presents a reasonable picture.
I do not have a proper tool to create a PDF file. 
Can one of you do so?

Attached is the .dia file (strange, when it generated the
file when I saved it, it seems to put virtually everything on one
long line. Oj well).

The associations in the MIB itself look awfully complex to me.
Other comments?

Thanks,
Bert 

> -----Original Message-----
> From: Frank Strauss [mailto:[email-masked]]
> Sent: woensdag 23 juli 2003 18:12
> To: Marcus Brunner
> Cc: [email-masked]; [email-masked]
> Subject: Re: [nmrg] web page for uml diagrams
> 
> 
> Hi!
> 
> Marcus> I tried to do it for the MPLS MIBs, but I miserably 
> failed even
> Marcus> parsing the MIBs in the latest drafts. But it might 
> be myself not
> Marcus> using the tools correctly.
>  
> >> Could you please point me (us) to the MIBs (or the I-Ds) you've fed
> >> to smidump? There are 36 documents in 
> internet-drafts/*mpls*mib*, and
> >> I don't want to check all of them. :-))
> 
> Marcus> draft-ietf-mpls-ftn-mib-07.txt
> Marcus> draft-ietf-mpls-ldp-mib-12.txt
> Marcus> draft-ietf-mpls-lsr-mib-11.txt
> Marcus> draft-ietf-mpls-tc-mib-08.txt
> Marcus> draft-ietf-mpls-te-mib-11.txt
> 
> Thanks. Here is a short description of what I did to check 
> the modules,
> to "repair" them so that they could be further processed, and 
> to generate
> a diagram. Maybe this helps others to do similar things...
> 
> 1. Get the documents.
> 
> 2. Extract the modules using smistrip. (The latest version from CVS of
>    smistrip now also accepts .gz files and is able to read documents
>    from a given directory):
> 
>         smistrip -i /ftp/docs/internet-drafts \
>                 draft-ietf-mpls-ftn-mib-07.txt \
>                 draft-ietf-mpls-ldp-mib-12.txt \
>                 draft-ietf-mpls-lsr-mib-11.txt \
>                 draft-ietf-mpls-tc-mib-08.txt \
>                 draft-ietf-mpls-te-mib-11.txt
> 
>    Note that documents that are formatted in an "unexpected" form, may
>    lead to warnings or even broken MIB modules, because smistrip has
>    to make some vague assumptions on how to cut off page footers and
>    headers.
> 
> 3. Check the extracted modules with smilint. If not otherwise set, the
>    local directory might have to be added to the paths in 
> which smilint
>    will search for modules.
> 
>         SMIPATH=.: smilint -i namelength-32 MPLS-*
> 
>    In this case I wanted to ignore all warnings about identifiers that
>    are longer than 32 chars. The errors that remain complain 
> about "XXX"
>    placeholders for a number of registrations.
> 
> 4. Fix errors, if required. In this case nothing has to be done to
>    produce the dia diagrams.
> 
> 5. Use smidump to generate whatever I want, e.g. metrics, 
> trees, diagrams:
> 
>         SMIPATH=.: smidump -u -f metrics MPLS-* | less
> 
>         SMIPATH=.: smidump -u -f tree MPLS-* | less
> 
>         SMIPATH=.: smidump -u -f cm MPLS-* > mpls-model.dia
> 
>    The -u option is used to get a "united" representation of all
>    input modules, instead of separated outputs per module.
> 
> 6. Use dia to drag items around to get a better layout and finally
>    print the diagram to a PDF file. I have not yet done this. It
>    seems to be quite some work in this case. :-) The non-beautified
>    diagram is at 
http://www.ibr.cs.tu-bs.de/users/strauss/mpls-model.dia.

 -frank
-- 
!! This message is brought to you via the `nmrg' mailing list.
!! Please do not reply to this message to unsubscribe. To unsubscribe or adjust
!! your settings, send a mail message to <[email-masked]>
!! or look at https://www.ibr.cs.tu-bs.de/mailman/listinfo/nmrg.